
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商家代销商品基本信息相对于供应商品是否改变
 *
 * @author tmerclub
 * @date 2022-08-11 22:21:10
 */
public class SpuConsignmentChange extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 代销商品基本信息是否已更新表id
     */
    private Long consignmentChangeId;

    /**
     * 代销商品id
     */
    private Long spuId;

    /**
     * 代销商品名称是否已更改 0未更改，1已更改
     */
    private Integer nameChange;

    /**
     * 代销图片是否已更改 0未更改，1已更改
     */
    private Integer imageChange;

    /**
     * 代销商品卖点是否已更改, 0未更改，1已更改
     */
    private Integer sellingPointChange;

    /**
     * 代销商品视频是否已更改, 0未更改，1已更改
     */
    private Integer videoChange;

    /**
     * 代销商品计量单位是否已更改，0未更改，1已更改
     */
    private Integer measureUnitChange;

    /**
     * 代销商品品牌是否已更改，0未更改，1已更改
     */
    private Integer brandChange;

    /**
     * 代销商品详情是否已更改，0未更改，1已更改
     */
    private Integer detailChange;

    /**
     * 代销商品SPU编码是否更改，0未更改，1已更改
     */
    private Integer spuCodeChange;

    public Integer getSpuCodeChange() {
        return spuCodeChange;
    }

    public void setSpuCodeChange(Integer spuCodeChange) {
        this.spuCodeChange = spuCodeChange;
    }

    public Long getConsignmentChangeId() {
        return consignmentChangeId;
    }

    public void setConsignmentChangeId(Long consignmentChangeId) {
        this.consignmentChangeId = consignmentChangeId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getNameChange() {
        return nameChange;
    }

    public void setNameChange(Integer nameChange) {
        this.nameChange = nameChange;
    }

    public Integer getImageChange() {
        return imageChange;
    }

    public void setImageChange(Integer imageChange) {
        this.imageChange = imageChange;
    }

    public Integer getSellingPointChange() {
        return sellingPointChange;
    }

    public void setSellingPointChange(Integer sellingPointChange) {
        this.sellingPointChange = sellingPointChange;
    }

    public Integer getVideoChange() {
        return videoChange;
    }

    public void setVideoChange(Integer videoChange) {
        this.videoChange = videoChange;
    }

    public Integer getMeasureUnitChange() {
        return measureUnitChange;
    }

    public void setMeasureUnitChange(Integer measureUnitChange) {
        this.measureUnitChange = measureUnitChange;
    }

    public Integer getBrandChange() {
        return brandChange;
    }

    public void setBrandChange(Integer brandChange) {
        this.brandChange = brandChange;
    }

    public Integer getDetailChange() {
        return detailChange;
    }

    public void setDetailChange(Integer detailChange) {
        this.detailChange = detailChange;
    }

    @Override
    public String toString() {
        return "SpuConsignmentChange{" +
                "consignmentChangeId=" + consignmentChangeId +
                ", spuId=" + spuId +
                ", nameChange=" + nameChange +
                ", imageChange=" + imageChange +
                ", sellingPointChange=" + sellingPointChange +
                ", videoChange=" + videoChange +
                ", measureUnitChange=" + measureUnitChange +
                ", brandChange=" + brandChange +
                ", detailChange=" + detailChange +
                ", spuCodeChange=" + spuCodeChange +
                '}';
    }
}
